# disable following tests as they need network access
%global enable_tests 0
%global module_name nsp-audit-shrinkwrap

Name:           nodejs-%{module_name}
Version:        1.0.3
Release:        7%{?dist}
Summary:        Audits a shrinkwrap file against the NSP module vulnerability database

License:        MIT
URL:            https://github.com/nodesecurity/nsp-audit-shrinkwrap
Source0:        http://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging
BuildRequires:  npm(duplex)
BuildRequires:  npm(nsp-api)

BuildRequires: npm(tape)

%if 0%{?enable_tests}
BuildRequires:  npm(tape)
%endif

%description
Audits a shrinkwrap file against the Node Security Project module
vulnerability database.

%prep
%setup -q -n package
rm -rf node_modules

%build
#nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json src %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
node tests/test-*.js
%endif

%files
%doc LICENSE README.md
%{nodejs_sitelib}/%{module_name}


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Feb 12 2015 Parag Nemade <pnemade AT redhat DOT com> - 1.0.3-1
- update to 1.0.3

* Fri Jan 23 2015 Parag Nemade <pnemade AT redhat DOT com> - 1.0.2-1
- update to 1.0.2

* Wed Dec 03 2014 Parag Nemade <pnemade AT redhat DOT com> - 1.0.1-1
- update to 1.0.1

* Fri Sep 19 2014 Parag Nemade <pnemade AT redhat DOT com> - 1.0.0-1
- Initial packaging

